From bb36cbe00f4f040a75e7f516956653e5b762e3ed Mon Sep 17 00:00:00 2001
From: Claude Heiland-Allen <claude@mathr.co.uk>
Date: Thu, 20 Sep 2018 07:25:38 +0100
Subject: [PATCH 10/39] silence -Wclobbered for png.cxx

---
 Makefile | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/Makefile b/Makefile
index b8705265..0076c1d3 100644
--- a/Makefile
+++ b/Makefile
@@ -96,6 +96,9 @@ GFCFLAGS += -DPDSUF=\"$(PDSUF)\"
 src/quartz.o: src/quartz.m.fcs $(COMMON_DEPS2)
 	$(CXX) -xc++ -DLIBGF $(GFCFLAGS) $(SNAFU) -xobjective-c++ -c src/quartz.m.fcs -o src/quartz.o
 
+# silence warnings from PNG longjmp error handling potentially clobbering variables
+src/png.o: GFCFLAGS+=-Wno-clobbered
+
 src/mmx.asm src/mmx_loader.cxx: src/mmx.rb
 	$(RUBY) src/mmx.rb src/mmx.asm src/mmx_loader.cxx
 src/mmx.o: src/mmx.asm
-- 
2.19.1

